Mailinglist Archive: opensuse-packaging (182 mails)

< Previous Next >
Re: [opensuse-packaging] cyclic repo dependencies (Gnome in first place)
  • From: Vincent Untz <vuntz@xxxxxxxxxxxx>
  • Date: Fri, 19 Jun 2009 15:56:33 +0200
  • Message-id: <20090619135633.GA10754@xxxxxxxxx>
Le vendredi 19 juin 2009, à 07:08 +0200, Adrian Schröter a écrit :

Hi

please fix your repo dependencies, the scheduler needs to break them anyway,
but we might even block the entire projects later, since this could create
endless build loops. (btw these were fixed several times and come back again
always it seems)

From scheduler log (printed some several thousand times):

cycle: GNOME:Backports/openSUSE_11.1 -> GNOME:Factory/openSUSE_11.1
breaking with GNOME:Backports/openSUSE_11.1 -> GNOME:Factory/openSUSE_11.1

Here's the issue: GNOME:Factory/openSUSE_11.1 needs some stuff to be
backported (since openSUSE:11.1 doesn't have everything it needs) to
build. However, some of the stuff in GNOME:Backports/openSUSE_11.1 also
needs packages that exist in GNOME:Factory/openSUSE_11.1 to build.

Sure, we could let it build against openSUSE:11.1 and assume it will
work fine, but we want to go the safe way.

So what would be a good way to organize this?

Vncent

--
Les gens heureux ne sont pas pressés.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
References